@charset "UTF-8";
/**************  VARIABLES *************/
/********** FONT SIZE *********/
/********** FONTS *********/
@font-face {
  font-family: 'Helvetica Neue', sans-serif;
  src: url("../fonts/HelveticaNeueMedium.ttf") format("truetype");
  font-weight: normal;
  font-style: normal; }

@font-face {
  font-family: 'Microsoft JhengHei', sans-serif;
  src: url("../fonts/msjh.ttf") format("truetype");
  font-weight: normal;
  font-style: normal; }

/********** COLORS *********/
/********** BORDER *********/
/********** SHADOW *********/
/* *****************************************************************
GENERAL
***************************************************************** */
* {
  box-sizing: border-box; }

body {
  font-family: "Helvetica Neue", sans-serif;
  font-size: 1.6rem;
  line-height: 2rem;
  margin: 0px; }

html {
  font-size: 62.5%; }

img {
  max-width: 100%;
  height: auto; }

.flex {
  display: flex;
  flex-wrap: wrap; }

ul,
li {
  list-style-type: none;
  padding-left: 0; }

h1,
h2,
h3 {
  font-family: "Microsoft JhengHei", sans-serif; }

h1 {
  font-size: 3rem; }

h2 {
  font-size: 2.4rem; }

h3 {
  font-size: 2.4rem;
  color: #3B81BE;
  padding-bottom: 1em;
  line-height: initial; }

.form-check {
  position: relative;
  display: block; }

.form-check-toggle {
  position: relative;
  cursor: pointer;
  display: inline-block;
  font-size: 1.6rem; }
  .form-check-toggle input {
    position: absolute;
    margin: 0.5em; }
  .form-check-toggle input + span {
    cursor: pointer;
    position: relative;
    padding-left: 3.5em;
    display: inline-block; }
    .form-check-toggle input + span:before {
      content: '';
      position: absolute;
      left: 0;
      display: inline-block;
      height: 1.4em;
      width: 2.8em;
      background: #4d4f53;
      transition: background 0.3s ease-in-out, border-color 0.3s ease-in-out;
      border-radius: 2em; }
    .form-check-toggle input + span:after {
      content: '';
      position: absolute;
      left: 0;
      top: 0;
      display: block;
      width: 1.3rem;
      height: 1.3rem;
      margin: 0.3em 0 0 0.3em;
      border-radius: 50%;
      background: #a0a0a0;
      transition: margin-left 0.3s ease-in-out, box-shadow 0.3s ease-in-out; }
  .form-check-toggle input:checked + span:after {
    content: '';
    margin-left: 1.7em;
    background: white; }
  .form-check-toggle input:checked + span:before {
    background: #3B81BE;
    border-color: white;
    transition: background 0.3s ease-in-out, border-color 0.3s ease-in-out; }

/* *****************************************************************
HEADER
***************************************************************** */
header {
  width: 100%;
  background-color: #3B81BE; }
  header .accessibility-menu {
    display: block;
    background-color: #A9A9A96B;
    color: #ffffff;
    width: max-content;
    min-width: auto;
    min-height: 1.6em;
    max-height: 1.6em;
    overflow: hidden;
    cursor: pointer;
    margin: auto; }
  header .select-accessibility-menu {
    padding: 0.3em 1em; }
  header .accessibility-filter {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    background-color: #A9A9A96B;
    gap: 1em;
    padding: 1em 2em 1em 1em;
    margin: 0;
    color: #ffffff;
    transition: all  1s linear; }
  header .chevron-down {
    margin-left: 10px;
    height: 10px;
    width: 20px;
    transition: transform 0.3s ease-in; }
  header .active {
    max-height: 300px;
    overflow: none;
    transition: 0.3s max-height; }
  header .animate-chevron {
    transform: scaleY(-1);
    transition: transform 0.3s ease-in; }
  header div {
    /* Display */
    justify-content: space-between;
    align-items: center;
    position: relative;
    flex-wrap: nowrap !important; }
    header div > a {
      width: 50%;
      flex-wrap: nowrap; }
      header div > a .header-logo {
        padding: 0.25em; }
      header div > a h1 {
        display: none; }
    header div nav {
      /* Display */
      padding: 1em;
      flex-wrap: nowrap !important;
      align-items: center;
      justify-content: space-around;
      gap: 1.5em; }
      header div nav .twitter-link::before {
        content: url("../img/icon/x-twitter.svg");
        display: inline-block;
        width: 1.8em; }
      header div nav .contact-link {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        text-decoration: none;
        font-family: "Microsoft JhengHei", sans-serif;
        font-size: 1em;
        font-weight: 600;
        letter-spacing: -0.05em; }
      header div nav .contact-link::before {
        content: url("../img/icon/envelope-solid.svg");
        display: inline-block;
        width: 2em; }
      header div nav .contact-link::after {
        content: ' Contactez-nous';
        display: none; }
      header div nav .logout-link::before {
        content: url("../img/icon/out-solid.svg");
        display: inline-block;
        width: 2em; }
      header div nav .author-link::before {
        content: url("../img/icon/user-solid.svg");
        display: inline-block;
        width: 2em; }
      header div nav a {
        color: #ffffff; }
      header div nav ul {
        /* Positioning */
        position: absolute;
        top: 4.0em;
        right: 0;
        z-index: 9999;
        /* Display & box model */
        display: flex;
        flex-direction: column;
        align-items: baseline;
        padding: 1em 5em 0em 2em;
        background: white;
        box-shadow: -5px 0 11px 0 rgba(0, 0, 0, 0.2);
        /* Text */
        list-style: none; }
        header div nav ul li {
          padding-bottom: 1.5em; }
        header div nav ul li > a {
          /* Text & Decoration*/
          font-size: 2.4rem;
          font-weight: bold;
          text-decoration: none;
          color: #3B81BE; }
        header div nav ul li:first-child > a::before {
          content: url("../img/icon/infos-solid-blue.svg");
          display: inline-block;
          width: 1em;
          margin-right: 0.5em; }
        header div nav ul li:nth-child(2) > a::before {
          content: url("../img/icon/circle-nodes-solid-blue.svg");
          display: inline-block;
          width: 1em;
          margin-right: 0.5em; }
        header div nav ul li:nth-child(3) > a::before {
          content: url("../img/icon/user-solid-blue.svg");
          display: inline-block;
          width: 1em;
          margin-right: 0.5em; }
      header div nav [aria-expanded="false"] + ul {
        display: none; }
      header div nav button {
        all: unset; }
      header div nav button::before {
        content: url("../img/icon/bars-solid.svg");
        display: inline-block;
        width: 2em; }

header.backoffice {
  background-color: #333333; }

/* *****************************************************************
MAIN
***************************************************************** */
main .not-found-404 {
  display: flex;
  align-items: center;
  flex-direction: column;
  text-align: center;
  margin-bottom: 5em;
  margin-top: 2em; }
  main .not-found-404 .title-404 {
    font-size: 15rem;
    font-weight: 900;
    margin: 0.6em;
    padding-bottom: 0px;
    text-shadow: 0 0 0.05em #3B81BE;
    animation: shake 2.5s linear forwards; }
  main .not-found-404 h3 span {
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
    -webkit-clip-path: polygon(10% 0%, 44% 0%, 70% 100%, 55% 100%);
    clip-path: polygon(10% 0%, 44% 0%, 70% 100%, 55% 100%);
    font-size: 24rem; }
  main .not-found-404 h3::before,
  main .not-found-404 h3::after {
    content: attr(data-text);
    position: absolute;
    top: 0;
    left: 0; }
  main .not-found-404 h3::before {
    animation: crack1 2.5s linear forwards;
    -webkit-clip-path: polygon(0% 0%, 10% 0%, 55% 100%, 0% 100%);
    clip-path: polygon(0% 0%, 10% 0%, 55% 100%, 0% 100%); }
  main .not-found-404 h3::after {
    animation: crack2 2.5s linear forwards;
    -webkit-clip-path: polygon(44% 0%, 100% 0%, 100% 100%, 70% 100%);
    clip-path: polygon(44% 0%, 100% 0%, 100% 100%, 70% 100%); }
  main .not-found-404 p:first-of-type {
    font-weight: bold; }

@keyframes shake {
  0%, 100% {
    transform: translate(0); }
  10%, 30%, 50%, 70%, 90% {
    transform: translate(-10px, 0px); }
  20%, 40%, 60%, 80% {
    transform: translate(10px, 0px); } }

@keyframes crack1 {
  0%, 95% {
    transform: translate(-50%, -50%); }
  100% {
    transform: translate(-51%, -48%); } }

@keyframes crack2 {
  0%, 95% {
    transform: translate(-50%, -50%); }
  100% {
    transform: translate(-49%, -53%); } }

main #map {
  width: 100%;
  height: 100vh; }
  main #map .flash-icon {
    animation: blink 2s infinite normal; }

@keyframes blink {
  0% {
    opacity: 1;
    width: 1em; }
  33.33333% {
    opacity: 0;
    width: 2em; }
  100% {
    opacity: 1;
    width: 1em; } }
  main #map .leaflet-popup-content {
    width: max-content;
    padding-top: 1em;
    font-size: 1.6rem;
    font-family: "Helvetica Neue", sans-serif; }
  main #map .leaflet-marker-pane svg {
    overflow: visible; }

main #legendContainer, main #eventsResult {
  position: absolute;
  z-index: 9000;
  padding: 2em;
  background-color: white;
  box-shadow: -5px 0 11px 0 rgba(0, 0, 0, 0.2); }

main #legendContainer {
  display: none;
  right: 1em; }
  main #legendContainer h3 {
    text-align: center;
    padding-bottom: 0; }
  main #legendContainer h3:nth-of-type(2) {
    margin-top: -1em; }
  main #legendContainer h3:nth-of-type(3) {
    margin-top: 2em; }
  main #legendContainer .magnitude-legend, main #legendContainer .oldest-legend, main #legendContainer .type-legend {
    justify-content: space-around;
    text-align: center; }
    main #legendContainer .magnitude-legend div, main #legendContainer .oldest-legend div, main #legendContainer .type-legend div {
      flex-direction: column;
      align-items: center; }
      main #legendContainer .magnitude-legend div p, main #legendContainer .oldest-legend div p, main #legendContainer .type-legend div p {
        text-align: center;
        font-weight: 600;
        white-space: break-spaces;
        margin: 0.5em; }
  main #legendContainer .oldest-legend svg {
    width: 100%;
    font-weight: 600; }

main #eventsResult {
  display: none;
  left: 2em; }
  main #eventsResult .events-filter {
    flex-direction: column;
    gap: 1em;
    padding-bottom: 2em;
    font-size: 2rem;
    border-bottom: 2px solid #A9A9A96B; }

main .container {
  padding: 3em;
  width: 100%;
  margin: auto; }

main .last-container {
  width: 100%;
  padding: 0;
  margin: inherit; }

main .custom-container {
  width: 100%;
  background-color: #A9A9A96B;
  margin: 2em 0 2em; }

main .modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: none;
  align-items: center;
  justify-content: center;
  background: rgba(77, 77, 77, 0.7);
  transition: all 0.4s; }

main .modal-content {
  background-color: white;
  padding: 2em;
  margin: 2em;
  box-shadow: 0 1em 2em rgba(0, 0, 0, 0.5); }

main .action-article-btn {
  width: 100%; }

main .link {
  display: inline-block;
  margin: 0.25em auto;
  padding: 1em 0.5em;
  background-color: #3B81BE;
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.06);
  border: none;
  border-radius: 0.5em;
  color: #ffffff;
  text-decoration: none;
  text-align: center;
  cursor: pointer; }

main .link:hover {
  background-color: #ffffff;
  color: #3B81BE; }

main .error,
main .success {
  margin-bottom: 1em;
  padding: 1em 1em 1em 3.5em;
  box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.06);
  border: 1px solid #eee;
  border-radius: 0.5em; }

main .success {
  background-color: #DFF2BF;
  background-image: url("../img/icon/circle-check-regular.svg");
  background-size: 1.5em;
  background-repeat: no-repeat;
  background-position: 1em center; }

main .error {
  background-color: #FFBABA;
  background-image: url("../img/icon/triangle-exclamation-solid.svg");
  background-size: 1.5em;
  background-repeat: no-repeat;
  background-position: 1em center; }

main header {
  background-color: #333333;
  padding: 1em 1em 0 1em;
  justify-content: space-between;
  display: flex;
  align-items: flex-start; }
  main header .map-link::before {
    content: url("../img/icon/map-solid.svg");
    display: inline-block;
    width: 2em;
    margin-right: 0.5em; }
  main header h2 {
    display: inline;
    color: #ffffff;
    margin: 0;
    border-bottom: 0.3em solid #3B81BE;
    padding-bottom: 0.5em; }
  main header h2.legend-title {
    margin-right: 0.4em;
    cursor: pointer; }
  main header h2.events-title {
    cursor: pointer; }
  main header h2::before {
    display: inline-block;
    width: 1em;
    margin-right: 0.5em;
    vertical-align: bottom; }
  main header h2.contact::before {
    content: url("../img/icon/envelope-solid.svg"); }
  main header h2.about::before {
    content: url("../img/icon/infos-solid.svg"); }
  main header h2.partners::before {
    content: url("../img/icon/circle-nodes-solid.svg"); }
  main header h2.news::before {
    content: url("../img/icon/x-twitter.svg"); }
  main header h2.legend-title::before {
    content: url("../img/icon/bullseye-cursor.svg"); }
  main header h2.events-title::before {
    content: url("../img/icon/time-past.svg"); }

main header.backoffice {
  background-color: #3B81BE;
  padding: 1em; }
  main header.backoffice h2 {
    border-bottom: none; }
  main header.backoffice h2.request::before {
    content: url("../img/icon/infos-solid.svg"); }
  main header.backoffice h2.content::before {
    content: url("../img/icon/circle-nodes-solid.svg"); }
  main header.backoffice h2.author::before {
    content: url("../img/icon/user-solid.svg"); }

main table {
  width: 100%; }
  main table thead {
    display: none;
    background-color: #A9A9A96B; }
  main table tbody {
    display: block; }
  main table tr {
    display: block;
    margin-bottom: 3em; }
  main table td {
    border-top: 2px solid #A9A9A96B;
    display: block;
    text-align: right;
    padding: 0.5em; }
  main table td::before {
    content: attr(data-label);
    float: left;
    font-weight: 300;
    text-transform: uppercase; }
  main table td:last-child {
    border-bottom: 0; }

main table td::before {
  content: attr(data-label);
  float: left;
  margin: 0 4em 0.25em 0;
  font-weight: bold;
  text-transform: uppercase; }

main div .block {
  background-color: #A9A9A96B;
  padding: 2em;
  justify-content: center;
  margin-top: 2em; }

main div .message {
  margin: 2em 0; }

main div .message-type {
  flex-wrap: unset;
  justify-content: space-between;
  border-top: 2px solid #A9A9A96B; }

main div .message-action {
  justify-content: flex-end;
  gap: 2rem; }

main div .delete {
  background-color: #991b1b; }

main div .delete:hover {
  background-color: #FFBABA; }

main div .archived {
  background-color: #A9A9A96B;
  color: #333333; }

main div p {
  white-space: pre-line; }

main div p.custom-paragraph {
  width: 100vw;
  background-color: #A9A9A96B;
  padding: 2em 3em; }

main div h3.last-title {
  padding: 1em 0 0 2em; }

main div q {
  display: inline-block;
  padding-top: 2em;
  font-style: italic;
  font-size: 1.3rem; }
  main div q span {
    font-weight: bold; }

main iframe {
  width: 100vw;
  height: 250px;
  margin-top: 2em;
  border: none; }

main form {
  flex-direction: column; }
  main form div {
    flex-direction: column;
    padding-bottom: 1em; }
  main form div:last-child {
    text-align: center; }
  main form label {
    padding-bottom: 1em;
    font-weight: 500; }
  main form textarea,
  main form select,
  main form input {
    width: 100%;
    padding: 1em;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.06);
    border-radius: 0.5em;
    border: 1px solid #eee;
    transition: .3s border-color; }
  main form input[type="checkbox"] {
    width: initial; }
  main form select {
    background-color: #FFFFFF; }
  main form textarea:hover,
  main form select:hover,
  main form input:hover {
    border: 1px solid #aaa; }
  main form .btn {
    width: 50%;
    margin-top: 0.5em;
    cursor: pointer; }

/* *****************************************************************
FOOTER
***************************************************************** */
footer {
  width: 100%;
  justify-content: space-between;
  background-color: #3B81BE; }
  footer div {
    /* Display & box model */
    width: 50%;
    justify-content: space-around;
    align-items: center;
    padding: 0.5rem;
    /* Text & décoration */
    font-size: 1rem;
    color: #ffffff; }
    footer div a {
      color: #ffffff; }
  footer .footer-logo {
    width: 20%; }

footer.backoffice {
  background-color: #333333; }

/* *****************************************************************
TABLETTE
***************************************************************** */
@media screen and (min-width: 768px) {
  header .accessibility-filter {
    flex-direction: row;
    margin-right: 3em; }
  header .select-accessibility-menu {
    text-align: center; }
  header div > a {
    width: 65%;
    display: flex;
    align-items: center;
    text-decoration: none; }
    header div > a .header-logo {
      width: 100%; }
    header div > a h1 {
      /* Display */
      width: 100%;
      display: inline;
      padding: 0 1rem;
      /* Text */
      font-weight: 300;
      font-style: italic;
      /* Decoration */
      color: #ffffff; }
    header div > a h1::before {
      content: "|";
      margin-right: 5px;
      font-style: normal; }
  header div nav {
    /* Display */
    width: 35%;
    justify-content: space-around; }
    header div nav .contact-link::after {
      display: block; }
    header div nav .logout-link::before {
      vertical-align: middle;
      margin-right: 0.5em; }
    header div nav .logout-link::after {
      content: "Déconnexion";
      display: inline-block; }
    header div nav ul {
      /* Positioning */
      top: 5em;
      flex-direction: column; }
  main header {
    padding: 1em 3em 0 3em; }
    main header h2.legend-title {
      margin-right: 4em; }
  main .not-found-404 .title-404 {
    font-size: 24rem; }
  main .block {
    flex-direction: column;
    padding: 1em 3em; }
  main .message-coordinates {
    float: left;
    gap: 1em; }
  main #legendContainer {
    left: 2.5em;
    width: 60%; }
    main #legendContainer .magnitude-legend, main #legendContainer .oldest-legend, main #legendContainer .type-legend {
      flex-wrap: nowrap; }
  main #eventsResult {
    right: 1em;
    left: unset;
    width: 50%; }
  main p.mail {
    float: left; }
  main iframe {
    height: 450px; }
  main img.float {
    float: left;
    padding-right: 1em;
    margin: 0 auto 1em; }
  footer div {
    width: 30%;
    font-size: 0.8em; } }

/* *****************************************************************
BUREAU PORTABLE
***************************************************************** */
@media screen and (min-width: 1280px) {
  header div > a .header-logo {
    width: 30%; }
  header div nav ul {
    /* Positioning */
    top: 4em; }
  main .container {
    width: 40%;
    padding: 3em 1.5em 3em 3em; }
  main .container-back {
    margin: initial; }
  main .custom-container {
    margin: auto; }
  main .center {
    margin: auto; }
  main #legendContainer {
    width: 40%; }
  main div .message {
    width: 100%; }
  main div iframe {
    width: 50%;
    height: 500px;
    padding: 0 3em; }
  main div p.custom-paragraph {
    width: 100%; }
  main table {
    border-collapse: collapse;
    border: 2px solid #A9A9A96B; }
    main table thead {
      display: table-header-group; }
    main table tbody {
      display: table-row-group; }
    main table tr {
      display: table-row;
      margin-bottom: 0; }
    main table td,
    main table th {
      border: 2px solid #A9A9A96B;
      display: table-cell;
      text-align: left;
      padding: 0.5em; }
    main table .scroll-cell {
      max-height: 100px; }
    main table .scroll-container {
      max-height: 100px;
      overflow-y: auto; }
  main table td::before {
    content: none;
    float: none;
    font-weight: normal;
    text-transform: none; }
  footer div {
    width: 20%; } }

/* *****************************************************************
LARGE SCREEN
***************************************************************** */
@media screen and (min-width: 1920px) {
  header div > a .header-logo {
    width: 20%; }
  main .container {
    width: 50%; }
  footer div {
    width: 15%; } }
